# Hypha

[![Hypha CI](https://github.com/HyphaApp/hypha/actions/workflows/hypha-ci.yml/badge.svg)](https://github.com/github/docs/actions/workflows/main.yml)
![GitHub top language](https://img.shields.io/github/languages/top/HyphaApp/hypha)
![Lines of code](https://img.shields.io/tokei/lines/github/HyphaApp/hypha)
![GitHub commit activity](https://img.shields.io/github/commit-activity/m/HyphaApp/hypha)
![GitHub release (latest by date)](https://img.shields.io/github/v/release/HyphaApp/hypha)
[![Translation status](https://hosted.weblate.org/widgets/hypha/-/svg-badge.svg)](https://hosted.weblate.org/engage/hypha/)
[![GitHub license](https://img.shields.io/github/license/HyphaApp/hypha)](https://github.com/HyphaApp/hypha/blob/main/LICENSE)
[![Zulip chat](https://img.shields.io/badge/chat-chat.hypha.app-brightgreen)](https://chat.hypha.app/)
[![Discource forum](https://img.shields.io/badge/forum-we.hypha.app-orange)](https://we.hypha.app/)
[![Website](https://img.shields.io/badge/website-hypha.app-blue)](https://www.hypha.app/)
[![Documentation](https://img.shields.io/badge/docs-hypha.app-purple)](https://docs.hypha.app/)

## Submission management software for open calls

### Features

- Manage the collection and review of applications or submissions openly and efficiently.
- Customize all aspects of the process, forms, workflows, review options, and more.
- Automate workflows and integrate with other services (Slack, Mailgun, etc).
- Regularly audited software with many privacy and security features.
- View our [Roadmap](https://github.com/HyphaApp/hypha/wiki/Roadmap) for upcoming features and enhancements.

### Technology

- Built with [Django](https://www.djangoproject.com/) and [Wagtail](https://wagtail.io/).
- Deploy with [Heroku](https://docs.hypha.app/deployment/heroku), [Docker](https://docs.hypha.app/deployment/docker), or [your own server](https://docs.hypha.app/deployment/stand-alone).

### Hypha Community
We offer several virtual meeting spaces, including communication forums, chat room channels, and an open GitHub repository for new and current adopters. Join our forums to discuss new features and report bugs for continuous improvement of the platform. [Get Started](https://we.hypha.app/)

You are welcome to test Hypha on our Sandbox Site. Enter the demo site and freely explore the potential of Hypha and its features. [Online Demo](https://sandbox.opentech.fund/)

## Who contributes to Hypha? ##

Hypha is improved by a small community of developers, designers, and users. As an open source software with a [BSD 3-clause](https://github.com/HyphaApp/hypha/blob/main/LICENSE) license, we welcome any contribution to expand on what the platform can do and to create add-on functionality not already available. OTF currently partners with [Fredrik Jonsson](https://github.com/frjo) @ [Combonetwork](https://www.combonet.se/), Lead Developer, to ensure the long-term maintenance, security, and sustainability of Hypha.

We are grateful to organizations that have chosen to implement Hypha and appreciate any and all code, design, documentation, bug reports, and other forms of contributions:

- [Open Technology Strategies](https://www.opentechstrategies.com)                
- [Remote Inning](https://www.remoteinning.com/)
- [Maxwell Pearl](https://maxwellpearl.com/)
- [Psycle](https://psycle.com/)                                                    
- [Simply Secure](https://simplysecure.org/)
- [Throneless Technology](https://throneless.tech/)
- [Torchbox](https://www.torchbox.com/)

## These organizations are already using Hypha ##

- [Digital Defenders Partnership](https://www.digitaldefenders.org/)
- [Amateur Radio Digital Communications](https://www.ampr.org/)
- [Digital Freedom Fund](https://digitalfreedomfund.org/)
- [Open Technology Fund](https://www.opentech.fund/)

## More information

* Website: https://www.hypha.app/
* Docs: https://docs.hypha.app/
* Community forum (Discourse): https://we.hypha.app/
* Chat (Zulip): https://chat.hypha.app/
* Why Hypha? [Hyphae](https://en.wikipedia.org/wiki/Mycorrhizal_network):** long, branching ecosystem enriching organisms that form interconnected networks to collectively exchange resources. Hopefully, Hypha helps it's users do the same.
* Copyright (C) 2021 - Open Technology Fund
